# osgbillboard.cpp File Reference

`#include <osg/Node>`
`#include <osg/Geometry>`
`#include <osg/Notify>`
`#include <osg/MatrixTransform>`
`#include <osg/Texture2D>`
`#include <osg/Billboard>`
`#include <osg/LineWidth>`
`#include <osgGA/TrackballManipulator>`
`#include <osgGA/FlightManipulator>`
`#include <osgGA/DriveManipulator>`
`#include <osgDB/Registry>`
`#include <osgDB/ReadFile>`
`#include <osgProducer/Viewer>`

Include dependency graph for osgbillboard.cpp:

## Typedefs

typedef std::vector< osg::ref_ptr< osg::Image > > | ImageList

## Functions

osg::Drawable * | createSquare (const osg::Vec3 &corner, const osg::Vec3 &width, const osg::Vec3 &height, osg::Image *image=NULL)
| create quad at specified position.
osg::Drawable * | createAxis (const osg::Vec3 &corner, const osg::Vec3 &xdir, const osg::Vec3 &ydir, const osg::Vec3 &zdir)
osg::Node * | createModel ()
int | main (int argc, char **argv)

## Typedef Documentation

typedef std::vector< osg::ref_ptr<osg::Image> > ImageList

## Function Documentation

osg::Drawable* createAxis | ( | const osg::Vec3 & | corner,
|  | const osg::Vec3 & | xdir,
|  | const osg::Vec3 & | ydir,
|  | const osg::Vec3 & | zdir
| ) |

osg::Node* createModel | ( |  | ) |

osg::Drawable* createSquare | ( | const osg::Vec3 & | corner,
|  | const osg::Vec3 & | width,
|  | const osg::Vec3 & | height,
|  | osg::Image * | image = `NULL`
| ) |

| create quad at specified position.

int main | ( | int | argc,
|  | char ** | argv
| ) |